> For the complete documentation index, see [llms.txt](https://docs.tronsave.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tronsave.io/chinese/developers/api-reference/fast-charge.md).

# 快速充值

Fast Charge 让你在单个流程中快速、高效地为多个地址租赁能量，最大化节省成本。你预估所需的 TRX、创建订单、跟踪订单的匹配状态，然后确认已完成的订单以回收未使用的能量并获得 TRX 退款。

{% hint style="info" %}
Fast Charge 是一项 API 密钥功能——每次调用都会针对一个已预先充值的 TronSave 内部账户进行身份验证。请参阅 [Authentication](/chinese/developers/authentication.md) 了解如何获取密钥并为账户充值。
{% endhint %}

## 生命周期

Fast Charge API 遵循一个可预测的生命周期。每个步骤对应一个端点：

<table><thead><tr><th width="170">步骤</th><th>端点</th><th>作用</th></tr></thead><tbody><tr><td><strong>1. 预估</strong></td><td><a href="https://github.com/tronsave/tronsave-docs-cn/blob/main/developers/api-reference/fast-charge/get-an-estimate-trx.md">Get an Estimate TRX</a></td><td>根据你可接受的最高价格和订单数量，预估所需的 TRX。将其与你的内部账户余额进行核对。</td></tr><tr><td><strong>2. 创建</strong></td><td><a href="https://github.com/tronsave/tronsave-docs-cn/blob/main/developers/api-reference/fast-charge/create-fast-charge-orders.md">Create Fast Charge Orders</a></td><td>提交订单，包含最高价格、租赁时长以及接收能量的地址列表。</td></tr><tr><td><strong>3. 跟踪</strong></td><td><a href="https://github.com/tronsave/tronsave-docs-cn/blob/main/developers/api-reference/fast-charge/tracking-fast-charge-order.md">Tracking Fast Charge Order</a></td><td>监控每个订单的状态——<code>Pending</code>（等待匹配）或 <code>Matched</code>。</td></tr><tr><td><strong>4. 确认</strong></td><td><a href="/pages/rKJq3LKXFwbnaAUmFJ2h">Confirm Request</a></td><td>使用完能量后，确认订单以结束租赁、回收未使用的能量并触发 TRX 退款。</td></tr><tr><td><strong>取消</strong></td><td><a href="/pages/SIl8O1sYoY7Xmhes4nWa">Cancel Order</a></td><td>取消处于 <code>Pending</code> 状态的订单以获得全额 TRX 退款。</td></tr><tr><td><strong>历史</strong></td><td><a href="/pages/8fYzHkBP0RjePFyVpBFt">Get History</a></td><td>查询已完成的租赁和订单的详细信息。</td></tr></tbody></table>

## 步骤 1 — 预估 TRX 支出

提供租赁详情，让系统预估你所需的 TRX：

* 可接受的最高价格。
* 要下的订单数量。

系统返回预估的 TRX 金额。在创建订单之前，请核对你的内部账户余额，确保其中有足够的 TRX 用于租赁。

→ [Get an Estimate TRX](/chinese/developers/api-reference/fast-charge/estimate-trx.md)

## 步骤 2 — 创建 Fast Charge 订单

提交订单，包含：

* 可接受的最高价格。
* 租赁时长。
* 接收相应数量能量的地址列表。

→ [Create Fast Charge Orders](/chinese/developers/api-reference/fast-charge/create-order.md)

## 步骤 3 — 跟踪订单状态

使用跟踪端点监控每个订单：

* **Matched** — 订单已匹配。
* **Pending** — 订单正在等待匹配。

→ [Tracking Fast Charge Order](/chinese/developers/api-reference/fast-charge/track-order.md)

## 步骤 4 — 确认订单

使用完能量后，提交需要确认的订单列表以完成你想要完成的订单：

* 确认标志着租赁的结束。
* 系统会回收未使用的能量，并计算要退还到你账户的 TRX 退款。

{% hint style="success" %}
尽早确认有助于你获得**尽可能多的退款**。如果你一直不确认，系统会在租赁期结束后自动回收订单。
{% endhint %}

→ [Confirm Request](/chinese/developers/api-reference/fast-charge/confirm-request.md)

## 取消已匹配的订单

要取消订单，请使用取消端点：

* 只有处于 **Pending** 状态的订单才能被取消。
* 一旦取消，100% 的 TRX 将退还到你的内部账户。

→ [Cancel Order](/chinese/developers/api-reference/fast-charge/cancel-order.md)

## 查看交易历史

使用历史端点查看你已完成的租赁和订单的详细信息。

→ [Get History](/chinese/developers/api-reference/fast-charge/get-history.md)

## 后续步骤

* [Get an Estimate TRX](/chinese/developers/api-reference/fast-charge/estimate-trx.md) · [Create Fast Charge Orders](/chinese/developers/api-reference/fast-charge/create-order.md) · [Tracking Fast Charge Order](/chinese/developers/api-reference/fast-charge/track-order.md)
* [Authentication](/chinese/developers/authentication.md) · [Errors & Rate Limits](/chinese/developers/errors-and-rate-limits.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tronsave.io/chinese/developers/api-reference/fast-charge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
